# Top TLDs of the Last 7 Days

Top 10 TLDs of the last 7 days: .com (781,560), then .xyz, .top and .cn.

Source: https://docs.deepinfo.com/reference/domain-intelligence/tld-stats/examples/interval-7/

Last updated: 2026-09-24

---
`GET https://api.deepinfo.com/v1/explorer/domain-intelligence/tld-stats?interval=7`

Top 10 TLDs of the last 7 days: .com (781,560), then .xyz, .top and .cn.

Example 3 of 6 · [TLD Stats Examples](/reference/domain-intelligence/tld-stats/examples/) · endpoint: [TLD Stats](/reference/domain-intelligence/tld-stats/)

Tags: `param` `interval` · `value` `7`

Asks for the top TLDs of the last 7 days (`interval=7`).

`com` leads with 781,560 new domains; `xyz` (101,586), `top`, `cn`, `online`, `net`, `cc`, `uk`, `site` and `in` complete the list.

## Request

| Parameter | In | Value |
|---|---|---|
| `interval` | query | `7` |

```bash
curl 'https://api.deepinfo.com/v1/explorer/domain-intelligence/tld-stats?interval=7' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

## Response

### 200 · OK

`Content-Type: application/json` · `ratelimit-limit: 60` · `ratelimit-remaining: 47` · `ratelimit-reset: 25` · `x-ratelimit-limit-minute: 60` · `x-ratelimit-remaining-minute: 47` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
[
  {
    "tld": "com",
    "count": 781560
  },
  {
    "tld": "xyz",
    "count": 101586
  },
  {
    "tld": "top",
    "count": 78257
  },
  {
    "tld": "cn",
    "count": 67701
  },
  {
    "tld": "online",
    "count": 42691
  },
  {
    "tld": "net",
    "count": 42636
  },
  {
    "tld": "cc",
    "count": 35709
  },
  {
    "tld": "uk",
    "count": 26080
  },
  {
    "tld": "site",
    "count": 25018
  },
  {
    "tld": "in",
    "count": 24667
  }
]
```

## Related Examples

- [Top 100 TLDs of the Last 7 Days](/reference/domain-intelligence/tld-stats/examples/size-100/)
- [Top TLDs of the Last Day](/reference/domain-intelligence/tld-stats/examples/interval-1/)
- [Top TLDs of the Last 30 Days](/reference/domain-intelligence/tld-stats/examples/interval-30/)
- [Top TLDs of the Last Year](/reference/domain-intelligence/tld-stats/examples/interval-365/)
